/*
 UCSB - MAT259 - Project #5 - Final 3d
 March, 2013
 Giovanni Sgambato
 */
 

import processing.opengl.*;
import de.bezier.data.sql.*;
import peasy.*;

PeasyCam cam;
int mCount= 0;
int MaxScale = 0;
MySQL msql;

int squareSize = 5;                   //sets the size of the squares being drawn
int counter = 0;                       //counter to keep track of the transactions being used. 
float value = 0; 


int PLOTX1, PLOTX2;
int PLOTY1, PLOTY2;
int PLOTZ1, PLOTZ2;

int gridInterval = 750/5;//quadrati griglia
int gridIntervaly = 500/10;

int DATAMIN, DATAMAX;
int DATAMINZ, DATAMAXZ;
int XMIN, XMAX;
int XINTERVAL; 
int YINTERVAL; 
int ZINTERVAL; 
PFont font;


int [][] LifeYears = new int[6][12];
int [][] PregYears = new int[6][12];
float plotX1, plotY1;
float plotX2, plotY2;
float labelX, labelY;

String [] Years = {"2006", "2007", "2008", "2009", "2010", "2011"};
String [] Months = {"January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"};


String [] bestcd = {
  "Into the wild", 
  "Michael Clayton", 
  "Juno", 
  "Burn after reading", 
  "No country for old men", 
  "Atonement", 
  "other Boleyn girl", 
  "Doubt", 
  "Darjeeling Limited", 
  "Vicky Cristina Barcelona"
};


PFont font1 = createFont("Helvetica", 20);
PFont font2 = createFont("Helvetica", 21);

int [] SixValues = new int[6];

float xRotation = 0;
float yRotation = 0;
float zRotation = 0;
float xRotationTarget = 0;
float yRotationTarget = 0;
float zRotationTarget = 0;

//--------------------------------- DATI HW3
int [][] arrRankedIndex;
int [] arrHours;
int [] arrAbs;

boolean key1Pressed = false;


void setup(){
  //size(700,500,P3D);
  size(1080, 720, OPENGL);  //1080x720
  colorMode(HSB, 360,100,100);
  frameRate(30);
  smooth();
  
  PLOTX1 = 0; 
  PLOTX2 = 750; 
  PLOTY1 = 0; 
  PLOTY2 = 500; 
  PLOTZ1 = 0; 
  PLOTZ2 = 250; 
  DATAMIN = 0; 
  DATAMAX = 500;
  DATAMINZ = 0; 
  DATAMAXZ = 250;
  XMIN = 0; 
  XMAX = PLOTX2; 
  XINTERVAL = 50; 
  YINTERVAL = 50; 
  ZINTERVAL = 50;  
  
  //setup the camera
  cam = new PeasyCam(this, 300, 200, -600, 1600);
  cam.setMinimumDistance(10);
  cam.setMaximumDistance(1600);
  
  //font = createFont("Helvetica", 26); 
  
  
//--------------------------------- DATI NON MIEI

    String savedData[] = loadStrings("savedData1.txt");
  println("QUERY: " + savedData[0]);
  for (int i=1; i < savedData.length; i++) {
    
    String temp[] = split(savedData[i], ",");
    LifeYears[Integer.parseInt(temp[0])-2006] [Integer.parseInt(temp[1])-1] = Integer.parseInt(temp[2]);
    
  }
       savedData = loadStrings("savedData2.txt");
  println("QUERY: " + savedData[0]);
  for (int i=1; i < savedData.length; i++) {
    
    String temp[] = split(savedData[i], ",");
    PregYears[Integer.parseInt(temp[0])-2006] [Integer.parseInt(temp[1])-1] = Integer.parseInt(temp[2]);
   
    
  }
  
//--------------------------------- DATI MIEI

  String savedDataAbs[] = loadStrings("hw3.txt");
  arrAbs = new int[savedDataAbs.length];
  
   for (int t=0; t < savedDataAbs.length; t++) { // loop until the row's number
    
    //strTempAbs = split(savedDataAbs[t], ",");
   
//    println(savedDataAbs[t]);   
    
    arrAbs[t] = int(savedDataAbs[t]);
    
     println(arrAbs[t]); 
     
      }
      
  String savedData2[] = loadStrings("newDeweydata.txt");
  String strTemp[] = split(savedData2[0], ",");
  
  arrRankedIndex = new int[savedData2.length][strTemp.length-1]; // row + column
  arrHours = new int[savedData2.length];

  for (int t=0; t < savedData2.length; t++) { // loop until the row's number
    
    strTemp = split(savedData2[t], ",");
    // strTemp[0]    : time
    // strTemp[1-10] : total checked out number of each group
    arrHours[t] = int(strTemp[0]);
    
    // creating automatic sorting array
    AutomaticSortingArray tmpArray = new AutomaticSortingArray(false);
    
    // insert key and value
    for( int i=1; i<strTemp.length; i++ )  { // column's length
      tmpArray.add(i-1, int(strTemp[i])); // key, value
    }
    
    // printing out automatically sorted key-value set
    for( int i=0; i<tmpArray.size(); i++ )  {
         arrRankedIndex[t][tmpArray.getKey(i)] = i;
      //println("#" + (i+1) + " " + tmpArray.getKey(i) + " : " + tmpArray.getValue(i));
    }
    
    println("");
  }
 
}



