
void draw() {

  background(0);

  //--------------------------------- DRAW 3D STUFF

  drawGrid();
  axis();
  drawAxisLabels();

  xRotation = xRotation + ((xRotationTarget-xRotation)/20.0); 
  yRotation = yRotation + ((yRotationTarget-yRotation)/20.0);
  zRotation = zRotation + ((zRotationTarget-zRotation)/20.0);   //smoothly animate to the target rotation
  if (!mousePressed) {
    cam.setRotations(xRotation, yRotation, zRotation);
  }

  //--------------------------------- DRAW DATA

  for (int i = 0;i<6;i++) {

    for (int f = 0;f<10;f++) {
    int idx = PregYears[i][f];
     //println(PregYears[i][f]);
int idx2 = (int)(map(idx, 200, 600, 1, 100));

      pushMatrix();

      translate((width-100)/7*i, (height-100)/12*f, 0);

/*      translate( 0, 0, (float)arrRankedIndex[i][f]);
      stroke(100, 0, 80);
      sphere(4);
*/
      translate( 0, 0, (float)PregYears[i][f]/2);
      stroke(100, 0, idx2, 80);
      strokeWeight(0.1);
      sphere(10);

      popMatrix();




      //--------------------------------- DRAW LINES      
   if ( i > 0 && key1Pressed == true) {
        stroke((360/10)*f, 60, 90,90);
        //stroke(#ffff00, 80);

        strokeWeight(10);
        line( (width-100)/7*(i-1), (height-100)/12*(f), (float)PregYears[i-1][f]/2, (width-100)/7*i, (height-100)/12*f, (float)PregYears[i][f]/2) ; 
      }
    }
  }


  for (int t =0;t<6;t++) {
    textFont(font1);  
    textAlign(CENTER, CENTER);
    //pushMatrix();
    //translate(t*Hside, Vside, 100);
    //rotateX(PI/2.0);
    fill (360);
    text(Years[t], ((width-100)/7*t)+15, -40);

    // popMatrix();
  }
  for (int k =0;k<10;k++) {
    textAlign(RIGHT, CENTER);
    // pushMatrix();
    // translate(6*Hside+20, Vside, -k*100);
    //rotateX(PI/2.0);
    //rotateZ(-PI/2.0);
    text(bestcd[k], -50, ((height-100)/12*k));
    //popMatrix();
  }

  //use HUD to write stuff that is stationary in relation to the camera
  cam.beginHUD();


  //--------------------------------- TITLE

  textFont(font2);
  textAlign(LEFT, CENTER);
  fill(#ffff00);
  text("Rank of top10 checked DVD in the period 2006-2011", 10, 20);
  fill(#ffff00);
  text("in the Seattle Public Library ", 10, 50);
  //stroke(0,0,85);
  cam.endHUD();
}





