

void drawlines()
{
}


//--------------------------------- DRAW GRID

void drawGrid()
{
  stroke(255,40); 
  strokeWeight(0.3); 
  for(int i = PLOTX1; i <= PLOTX2; i = i + gridInterval)
  {
    line(i,PLOTY1,PLOTZ1, i,PLOTY2,PLOTZ1);   
    line(i,PLOTY1,PLOTZ1, i,PLOTY1,PLOTZ2);   
    for(int k = PLOTY1; k <= PLOTY2; k = k + gridIntervaly)
    {
      line(PLOTX1,k,PLOTZ1,PLOTX2,k,PLOTZ1);
      line(PLOTX1,k,PLOTZ1,PLOTX1,k,PLOTZ2);
    }   
  }  
}


//--------------------------------- DRAW AXIS

void axis()
{
  strokeWeight(0.3);   
  stroke(#ffffff); 
  line(PLOTX1,PLOTY1,PLOTZ1,PLOTX2,PLOTY1,PLOTZ1);

  line(PLOTX1,PLOTY1,PLOTZ1,PLOTX1,PLOTY2,PLOTZ1);
   
  line(PLOTX1,PLOTY1,PLOTZ1,PLOTX1,PLOTY1,PLOTZ2); // Basic Axis
  
  line(PLOTX1,PLOTY1,PLOTZ2,PLOTX2,PLOTY1,PLOTZ2);
  
  line(PLOTX1,PLOTY1,PLOTZ2,PLOTX1,PLOTY2,PLOTZ2);
  
  line(PLOTX2,PLOTY1,PLOTZ1,PLOTX2,PLOTY1,PLOTZ2);
  
  line(PLOTX1,PLOTY2,PLOTZ1,PLOTX1,PLOTY2,PLOTZ2); // Box

  line(PLOTX2,PLOTY1,PLOTZ1,PLOTX2,PLOTY2,PLOTZ1);
  
  line(PLOTX1,PLOTY2,PLOTZ1,PLOTX2,PLOTY2,PLOTZ1);
  
  
}



//--------------------------------- DRAW LABELS

void drawAxisLabels() 
{
  fill(255);
  textLeading(15);

  pushMatrix();
  translate(0,0,PLOTZ1);
  textAlign(CENTER, CENTER);
  // Use \n (enter/linefeed) to break the text into separate lines
  text("Years", (PLOTX1+PLOTX2)/2, PLOTY2+160); //x-axis label
  textAlign(CENTER, CENTER);
  text("Best DVD", PLOTX1-300, (PLOTY1+PLOTY2)/2);
  popMatrix(); 
//  text("z-axis label", PLOTX1-300,PLOTY1, (PLOTZ1+PLOTZ2)/2 );
//  textAlign(CENTER, CENTER);

}



//--------------------------------- DRAW TITLE

void drawTitle() {
  fill(255);
  textAlign(LEFT);

  pushMatrix(); 
  translate(0,0,PLOTZ1);
  text("SPL DATA VISUALIZATION", PLOTX1, PLOTY1 - 200);
  textAlign(RIGHT);
  text("MAT 259", PLOTX2, PLOTY1 - 10);  
  popMatrix(); 
}

//--------------------------------- DRAW DATA

void drawData()
{
  stroke(255,50); 
  strokeWeight(2); 
  fill(255,50); 
  for(int x = PLOTX1; x <= PLOTX2; x+=XINTERVAL)
  {
    beginShape(TRIANGLE_STRIP);
    for(int y = PLOTY1; y <= PLOTY2; y+=YINTERVAL)
    {
      for(int z = PLOTZ1; z < PLOTZ2; z+=ZINTERVAL)
      {
        vertex(x,y,PLOTZ1*noise(y*x)); 
        vertex(x+XINTERVAL,y,PLOTZ1*noise(y*x)); 
      }
    }
    endShape(); 
  }
}
